按关键词发现 Google 购物商品
curl --request POST \
--url https://api.brightdata.com/datasets/v3/scrape \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": [
{
"keyword": "<string>",
"country": "<string>"
}
]
}
'import requests
url = "https://api.brightdata.com/datasets/v3/scrape"
payload = { "input": [
{
"keyword": "<string>",
"country": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({input: [{keyword: '<string>', country: '<string>'}]})
};
fetch('https://api.brightdata.com/datasets/v3/scrape', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"product_id": "54321",
"title": "Sony WH-1000XM5 Wireless Headphones",
"brand": "Sony",
"rating": 4.7,
"reviews_count": 8400,
"price": "349.99",
"currency": "USD",
"url": "https://www.google.com/shopping/product/54321"
}
]
Google
按关键词发现 Google 购物商品
使用 Bright Data Web Scraper API 按关键词发现 Google 购物商品。POST /datasets/v3/scrape 以 JSON 格式返回商品记录。
POST
/
datasets
/
v3
/
scrape
按关键词发现 Google 购物商品
查询参数
string
默认值:"gd_ltppk50q18kdw67omz"
必填
用于此请求的数据集 ID。
必须设置为
gd_ltppk50q18kdw67omz 以发现按关键词的 Google 购物商品数据。string
默认值:"discover_new"
必填
必须设置为
discover_new。string
默认值:"keyword"
必填
必须设置为
keyword。boolean
默认值:false
请求完成时是否发送通知。
boolean
默认值:true
是否在响应中包含错误。
请求体
object[]
必填
[
{
"product_id": "54321",
"title": "Sony WH-1000XM5 Wireless Headphones",
"brand": "Sony",
"rating": 4.7,
"reviews_count": 8400,
"price": "349.99",
"currency": "USD",
"url": "https://www.google.com/shopping/product/54321"
}
]
此页面对您有帮助吗?